package com.hotent.portal.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hotent.base.entity.BaseModel;
import com.hotent.base.jaxb.LocalDateTimeAdapter;
import com.hotent.sys.persistence.model.SysAuthUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang.builder.ToStringBuilder;

import javax.xml.bind.annotation.*;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import java.time.LocalDateTime;
import java.util.List;


/**
 * @description
 * @author  yangzibin
 * @date    2024/3/20 15:07
 * @param	null
 * @return
 */
 @XmlRootElement(name = "portal_ding_todo_task")
 @XmlAccessorType(XmlAccessType.FIELD)
 @TableName("portal_ding_todo_task")
 @ApiModel(value = "PortalDingTodoTask",description = "系统流程待办任务id和钉钉待办任务id关联表")
public class PortalDingTodoTask extends BaseModel<PortalDingTodoTask>{

	private static final long serialVersionUID = 1L;
	@XmlTransient
	@TableId("ID_")
	@ApiModelProperty(value="主键")
	protected String id; 
	
	@XmlAttribute(name = "todoTaskId")
	@TableField("TODO_TASK_ID_")
	@ApiModelProperty(value="流程待办id")
	protected String todoTaskId;

	@XmlAttribute(name = "dingTodoTaskId")
	@TableField("DING_TODO_TASK_ID_")
	@ApiModelProperty(value="钉钉待办id")
	protected String dingTodoTaskId;

	@XmlAttribute(name = "dingUserUnionId")
	@TableField("DING_USER_UNION_ID_")
	@ApiModelProperty(value="钉钉用户unionid")
	protected String dingUserUnionId;

	@XmlAttribute(name = "dingUserId")
	@TableField("DING_USER_ID_")
	@ApiModelProperty(value="钉钉用户id")
	protected String dingUserId;

	@XmlAttribute(name = "tenantId")
	@TableField("TENANT_ID_")
	@ApiModelProperty(value="租户id")
	protected String tenantId;

	@XmlAttribute(name = "createTime")
	@TableField("CREATE_TIME_")
	@ApiModelProperty(value="创建时间")
	protected LocalDateTime createTime;

	@XmlAttribute(name = "createBy")
	@TableField("CREATE_BY_")
	@ApiModelProperty(value="创建人")
	protected String createBy;

	@XmlAttribute(name = "orgId")
	@TableField("ORG_ID_")
	@ApiModelProperty(value="组织id")
	protected String orgId;

	public String getOrgId() {
		return orgId;
	}

	public void setOrgId(String orgId) {
		this.orgId = orgId;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getTodoTaskId() {
		return todoTaskId;
	}

	public void setTodoTaskId(String todoTaskId) {
		this.todoTaskId = todoTaskId;
	}

	public String getDingTodoTaskId() {
		return dingTodoTaskId;
	}

	public void setDingTodoTaskId(String dingTodoTaskId) {
		this.dingTodoTaskId = dingTodoTaskId;
	}

	public String getDingUserUnionId() {
		return dingUserUnionId;
	}

	public void setDingUserUnionId(String dingUserUnionId) {
		this.dingUserUnionId = dingUserUnionId;
	}

	public String getDingUserId() {
		return dingUserId;
	}

	public void setDingUserId(String dingUserId) {
		this.dingUserId = dingUserId;
	}

	public String getTenantId() {
		return tenantId;
	}

	public void setTenantId(String tenantId) {
		this.tenantId = tenantId;
	}

	public LocalDateTime getCreateTime() {
		return createTime;
	}

	public void setCreateTime(LocalDateTime createTime) {
		this.createTime = createTime;
	}

	public String getCreateBy() {
		return createBy;
	}

	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}
}